Subject: Re: [bug#32936] build-system/glib-or-gtk: Build 'in-source' by default.

From: [email-masked] (Ludovic Courtès)
Date: Fri, 05 Oct 2018 13:58:59 +0200

Hello!

Leo Famulari <[email-masked]> skribis:

> As a followup to the discussion of glib-or-gtk-build-system building
> out-of-source by default, and whether or not it should be the default,
> I've pushed a wip-glib-or-gtk branch to Savannah.
>
> It changes the glib-or-gtk-build-system to build "in-source" by default.

I’m all for it!

My REPL tells me 111 packages use this build system, which have 294
dependents (much less than I expected):

--8<---------------cut here---------------start------------->8---
scheme@(guile-user)> ,use(guix)
scheme@(guile-user)> ,use(gnu)
scheme@(guile-user)> ,use(guix build-system glib-or-gtk)
scheme@(guile-user)> ,use(srfi srfi-1)
scheme@(guile-user)> (define lst (fold-packages (lambda (p l)
						  (if (eq? (package-build-system p)
							   glib-or-gtk-build-system)
						      (cons p l)
						      l))
						'()))
scheme@(guile-user)> (length lst)
$12 = 111
scheme@(guile-user)> ,use(guix graph)
scheme@(guile-user)> ,use(guix monad-repl)
scheme@(guile-user)> ,use(guix scripts graph)
scheme@(guile-user)> ,run-in-store (node-back-edges %bag-node-type (fold-packages cons '()))
$13 = #<procedure 5a34f80 at guix/graph.scm:93:17 (node)>
scheme@(guile-user)> (length (node-transitive-edges lst $13))
$14 = 294
scheme@(guile-user)> (map package-full-name (node-transitive-edges lst $13))
--8<---------------cut here---------------end--------------->8---

> Can we schedule it for evaluation on either Hydra or Berlin, in order to
> test it?
>
> https://git.savannah.gnu.org/cgit/guix.git/commit/?h=wip-glib-or-gtk

It should show up real soon here:

  https://berlin.guixsd.org/jobset/wip-glib-or-gtk

Thanks!

Ludo’.